/*
 * Copyright (C) 2010-2011 Toshiyuki Kitani
 *
 *  Pegasus is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Pegasus is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */

package jp.pegasus.pivot.factory;

import jp.pegasus.config.Location;
import jp.pegasus.pivot.ss.SSListView;
import jp.pegasus.util.JsonUtil;
import org.apache.pivot.collections.ArrayList;
import org.apache.pivot.collections.List;

public class SSListViewFactory {

    public static SSListView createListView() {
        SSListView listView = new SSListView();
        JsonUtil.setStyles(listView, Location.LIST_VIEW);

        List<Object> listDataX = new ArrayList<Object>();
        listDataX.add("xxxxxxxxxxx");

        List<Object> listData = new ArrayList<Object>();
        listData.add("aaaaaaaaaaaa");
        listData.add("bbbbbbbbbbbb");
        listData.add("cccccccccccc");
        listData.add(listDataX);

//        org.apache.pivot.wtk.text.List bulletedList = new org.apache.pivot.wtk.text.BulletedList();
//        org.apache.pivot.wtk.text.List.Item item1 = new org.apache.pivot.wtk.text.List.Item();
//        org.apache.pivot.wtk.text.List.Item item2 = new org.apache.pivot.wtk.text.List.Item();
//        item1.add(bulletedList);
//        org.apache.pivot.wtk.text.List list = new org.apache.pivot.wtk.text.NumberedList();
//        list.add(item1);
//        listData.add(item1);

        listView.setListData(listData);


//        MenuBar menuBar = new MenuBar();
//        Menu.Item menuItem = new Menu.Item();
//        menuItem.setButtonData("aaa");
//
//        Menu.Section menuSection = new Menu.Section();
//        menuSection.add(menuItem);
//
//        listView.setListData(menuSection);


        return listView;
    }
}
