/*
 * Copyright (C) 2010-2011 Toshiyuki Kitani
 *
 *  Pegasus is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Pegasus is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */

package jp.pegasus.pivot.listener;

import jp.pegasus.pivot.ss.SSFrame;
import org.apache.pivot.wtk.MenuBar;

public interface SSFrameListener {
    /**
     * Called when a frame's menu bar has changed.
     *
     * @param frame
     * @param previousMenuBar
     */
    public void menuBarChanged(SSFrame frame, MenuBar previousMenuBar);
}
