/*
 * Copyright (C) 2010-2011 Toshiyuki Kitani
 *
 *  Pegasus is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Pegasus is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */

package jp.pegasus.pivot.listener.treeview;

import jp.pegasus.pivot.ss.SSTreeView;
import org.apache.pivot.collections.Sequence;

public interface SSTreeViewNodeStateListener {
    /**
     * Called when a node's checked state has changed.
     *
     * @param treeView
     * @param path
     * @param previousCheckState
     */
    public void nodeCheckStateChanged(SSTreeView treeView, Sequence.Tree.Path path,
                                      SSTreeView.NodeCheckState previousCheckState);
}
