/*
 * Copyright (C) 2010-2011 Toshiyuki Kitani
 *
 *  Pegasus is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Pegasus is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */

package jp.pegasus.pivot.skin;

import org.apache.pivot.wtk.skin.BorderSkin;

import java.awt.*;

public class SSCornerSkin extends BorderSkin {
//    private static Logger log = Logger.getLogger(SSCornerSkin.class);
//
//    private Font font;
//    private Color colorTop;
//    private Color colorBottom;
//    private Color colorLeft;
//    private Color colorRight;
//    private Color titleColor;
//    private int thickness;
//    private Insets padding;
//    private CornerRadii cornerRadii;

    public SSCornerSkin() {
        super();
//        Theme theme = Theme.getTheme();
//        setBackgroundColor(new Color(255, 255, 255, 0));
//        font = theme.getFont().deriveFont(Font.BOLD);
//        colorTop = new Color(255, 255, 255, 0);
//        colorRight = new Color(223, 223, 223, 255);
//        colorBottom = new Color(223, 223, 223, 255);
//        colorLeft = new Color(255, 255, 255, 0);
//        thickness = 1;
//        padding = Insets.NONE;
//        cornerRadii = CornerRadii.NONE;
    }

//    public Color getColorTop() {
//        return colorTop;
//    }
//
//    public void setColorTop(Color colorTop) {
//        this.colorTop = colorTop;
//        repaintComponent();
//    }
//
//    public final void setColorTop(String color) {
//        setColorTop(GraphicsUtilities.decodeColor(color));
//    }
//
//    public Color getColorBottom() {
//        return colorBottom;
//    }
//
//    public void setColorBottom(Color colorBottom) {
//        this.colorBottom = colorBottom;
//        repaintComponent();
//    }
//
//    public final void setColorBottom(String color) {
//        setColorBottom(GraphicsUtilities.decodeColor(color));
//    }
//
//    public Color getColorLeft() {
//        return colorLeft;
//    }
//
//    public void setColorLeft(Color colorLeft) {
//        this.colorLeft = colorLeft;
//        repaintComponent();
//    }
//
//    public final void setColorLeft(String color) {
//        setColorLeft(GraphicsUtilities.decodeColor(color));
//    }
//
//    public Color getColorRight() {
//        return colorRight;
//    }
//
//    public void setColorRight(Color colorRight) {
//        this.colorRight = colorRight;
//        repaintComponent();
//    }
//
//    public final void setColorRight(String color) {
//        setColorRight(GraphicsUtilities.decodeColor(color));
//    }


    @Override
    public void paint(Graphics2D graphics) {
        super.paint(graphics);
//        SSCorner ssBorder = (SSCorner) getComponent();
//        int topThickness = thickness;
//        float titleAscent = 0;
//
//        String title = ssBorder.getTitle();
//        if (title != null
//                && title.length() > 0) {
//            FontRenderContext fontRenderContext = Platform.getFontRenderContext();
//            LineMetrics lm = font.getLineMetrics(title, fontRenderContext);
//            titleAscent = lm.getAscent();
//            topThickness = Math.max((int) Math.ceil(lm.getHeight()), topThickness);
//        }
//
//        // TODO Java2D doesn't support variable corner radii; we'll need to
//        // "fake" this by drawing multiple arcs
//        int cornerRadius = cornerRadii.topLeft;
//
//        int width = getWidth();
//        int height = getHeight();
//
//        int strokeX = thickness / 2;
//        int strokeY = topThickness / 2;
//        int strokeWidth = Math.max(width - thickness, 0);
//        int strokeHeight = Math.max(height - (int) Math.ceil((topThickness + thickness) * 0.5), 0);
//
//        // Draw the background
//        Paint backgroundPaint = getBackgroundPaint();
//        if (backgroundPaint != null) {
//            graphics.setPaint(backgroundPaint);
//
//            if (cornerRadius > 0) {
//                graphics.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
//                        RenderingHints.VALUE_ANTIALIAS_ON);
//
//                graphics.fillRoundRect(strokeX, strokeY, strokeWidth, strokeHeight, cornerRadius, cornerRadius);
//
//                graphics.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
//                        RenderingHints.VALUE_ANTIALIAS_OFF);
//            } else {
//                graphics.fillRect(strokeX, strokeY, strokeWidth, strokeHeight);
//            }
//        }
//
//        // Draw the title
//        if (title != null) {
//            FontRenderContext fontRenderContext = Platform.getFontRenderContext();
//            graphics.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING,
//                    fontRenderContext.getAntiAliasingHint());
//            graphics.setRenderingHint(RenderingHints.KEY_FRACTIONALMETRICS,
//                    fontRenderContext.getFractionalMetricsHint());
//
//            // Note that we add one pixel to the string bounds for spacing
//            Rectangle2D titleBounds = font.getStringBounds(title, fontRenderContext);
//            titleBounds = new Rectangle2D.Double(padding.left + thickness,
//                    (topThickness - titleBounds.getHeight()) / 2,
//                    titleBounds.getWidth() + 1, titleBounds.getHeight());
//
//            graphics.setFont(font);
//            graphics.setPaint(titleColor);
//            graphics.drawString(title, (int) titleBounds.getX(),
//                    (int) (titleBounds.getY() + titleAscent));
//
//            Area titleClip = new Area(graphics.getClip());
//            titleClip.subtract(new Area(titleBounds));
//            graphics.clip(titleClip);
//        }
//
//        // Draw the border
//        if (thickness > 0) {
//            if (cornerRadius > 0) {
//                graphics.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
//                        RenderingHints.VALUE_ANTIALIAS_ON);
//
//                graphics.setStroke(new BasicStroke(thickness));
//                graphics.draw(new RoundRectangle2D.Double(0.5 * thickness, 0.5 * topThickness,
//                        strokeWidth, strokeHeight, cornerRadius, cornerRadius));
//
//                graphics.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
//                        RenderingHints.VALUE_ANTIALIAS_OFF);
//            } else {
//                int y = (topThickness - thickness) / 2;
//
//                switch ((TableType) ssBorder.getAttribute(Attribute.TABLE)) {
//                    case HEADER_COL:
//                        graphics.setPaint(colorLeft);
//                        GraphicsUtilities.drawLine(graphics, 0, y + 1, Math.max(height - y, 0) - 2, Orientation.VERTICAL, thickness);
//                        graphics.setPaint(colorTop);
//                        GraphicsUtilities.drawLine(graphics, 0, y, width, Orientation.HORIZONTAL, thickness);
//                        graphics.setPaint(colorRight);
//                        GraphicsUtilities.drawLine(graphics, width - thickness, y, Math.max(height - y, 0), Orientation.VERTICAL, thickness);
//                        graphics.setPaint(colorBottom);
//                        GraphicsUtilities.drawLine(graphics, 0, y + Math.max(height - y, 0) - thickness, width, Orientation.HORIZONTAL, thickness);
//                        break;
//                    case HEADER_ROW:
//                        graphics.setPaint(colorBottom);
//                        GraphicsUtilities.drawLine(graphics, 0, y + Math.max(height - y, 0) - thickness, width, Orientation.HORIZONTAL, thickness);
//                        graphics.setPaint(colorLeft);
//                        GraphicsUtilities.drawLine(graphics, 0, y + 1, Math.max(height - y, 0) - 2, Orientation.VERTICAL, thickness);
//                        graphics.setPaint(colorTop);
//                        GraphicsUtilities.drawLine(graphics, 0, y, width, Orientation.HORIZONTAL, thickness);
//                        graphics.setPaint(colorRight);
//                        GraphicsUtilities.drawLine(graphics, width - thickness, y, Math.max(height - y, 0), Orientation.VERTICAL, thickness);
//                        break;
//                    case MAIN:
//
//                        break;
//                    default:
//                        break;
//                }
//            }
//        }
    }

}
