/*
 * Copyright (C) 2010-2011 Toshiyuki Kitani
 *
 *  Pegasus is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Pegasus is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */

package jp.pegasus.config;

public interface Location {

    public static final String BORDER = "/json/SSBorder.json";
    public static final String BORDER_MU = "/json/SSBorderMenu.json";
    public static final String BORDER_PP = "/json/SSBorderProperty.json";
    public static final String BORDER_SELECTED = "/json/SSBorderSelected.json";
    public static final String CONFIG = "/json/SSConfig.json";
    public static final String CORNER = "/json/SSCorner.json";
    public static final String CORNER_SELECTED = "/json/SSCornerSelect.json";
    public static final String FLOW_PANE = "/json/SSFlowPane.json";
    public static final String FRAME = "/json/SSFrame.json";
    public static final String LABEL = "/json/SSLabel.json";
    public static final String LIST_VIEW = "/json/SSListView.json";
    public static final String MENU_BAR = "/json/SSMenuBar.json";
    public static final String PALETTE = "/json/SSPalette.json";
    public static final String PUSH_BUTTON = "/json/SSPushButton.json";
    public static final String SCROLL_BAR = "/json/SSScrollBar.json";
    public static final String SPLIT_PANE = "/json/SSSplitPane.json";
    public static final String TABLE_PANE = "/json/SSTablePane.json";
    public static final String TABLE_VIEW_COL_HEADER_PP = "/json/SSTableViewColumnHeaderProperty.json";
    public static final String TABLE_VIEW_COL_HEADER = "/json/SSTableViewColumnHeader.json";
    public static final String TABLE_VIEW = "/json/SSTableView.json";
    public static final String TABLE_VIEW_ROW_HEADER = "/json/SSTableViewRowHeader.json";
    public static final String TABLE_VIEW_PP = "/json/SSTableViewProperty.json";
    public static final String TAB_PANE = "/json/SSTabPane.json";
    public static final String TAB_PANE_MU = "/json/SSTabPaneMenu.json";
    public static final String TAB_PANE_PP = "/json/SSTabPaneProperty.json";
    public static final String TEXT_AREA = "/json/SSTextArea.json";
    public static final String TEXT_AREA_ALTERNATE = "/json/SSTextAreaAlternate.json";
    public static final String TEXT_AREA_SELECT = "/json/SSTextAreaSelect.json";
    public static final String TEXT_INPUT = "/json/SSTextInput.json";
    public static final String TEXT_INPUT_ALTERNATE = "/json/SSTextInputAlternate.json";
    public static final String TEXT_INPUT_SELECT = "/json/SSTextInputSelect.json";
    public static final String TREE_VIEW = "/json/SSTreeView.json";
    public static final String TREE_VIEW_MENU = "/json/SSTreeViewMenu.json";

}
