/*
 * Copyright (C) 2010-2011 Toshiyuki Kitani
 *
 *  Pegasus is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Pegasus is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */

package jp.pegasus.deprecated;

import jp.pegasus.pivot.navigation.Ruler;
import jp.pegasus.pivot.ss.tablepane.SSTablePane;
import jp.pegasus.pivot.ss.tablepane.SSTablePane.SSRow;
import org.apache.pivot.wtk.*;
import org.apache.pivot.wtk.Label;
import org.apache.pivot.wtk.Window;

import java.awt.*;


//import org.apache.pivot.wtk.media.drawing.Rectangle;
@Deprecated
public class SpreadSheetTool {
//    private static Logger log = LoggerFactory.getLogger(Main.class);

//    public static SSTextArea getSSTextArea(int row, int col) {
//        SSTextArea ssTextArea = new SSTextArea();
//        ssTextArea.setAttribute(Attribute.ROW, row);
//        ssTextArea.setAttribute(Attribute.COL, col);
//        ssTextArea.setCursor(Cursor.DEFAULT);
//        ssTextArea.getStyles().put("font", new Font(LABEL_FONT, Font.PLAIN, TEXT_AREA_FONT_SIZE));
//        ssTextArea.setWidth(TEXT_AREA_WIDTH);
//        return ssTextArea;
//    }

//    public static SSScrollPane getSSScrollPane(Component view,
//                                               Component colHeader, Component rowHeader) {
//        SSScrollPane ssScrollPane = new SSScrollPane();
//        ssScrollPane.setView(view);
//    	ssScrollPane.setColumnHeader(colHeader);
//    	ssScrollPane.setRowHeader(rowHeader);
//        ssScrollPane.getStyles().put("backgroundColor", SCROLL_PANE_BACKGROUND_COLOR);

//    	ssScrollPane.getStyles().put("verticalReveal", 17);
//		ScrollBar horizontalScrollBar = new ScrollBar(Orientation.HORIZONTAL);
//		horizontalScrollBar.setUnitIncrement(1);
//    	ssScrollPane.getStyles().put("horizontalScrollBar", horizontalScrollBar);

//        return ssScrollPane;
//    }

    public static Ruler getRuler(Orientation orientation) {
        if (orientation == null) {
            throw new IllegalArgumentException();
        }
        Ruler ruler = new Ruler();
        ruler.setOrientation(orientation);
        return ruler;
    }

    public static Ruler getRuler(String orientation) {
        if (orientation == null) {
            throw new IllegalArgumentException();
        }
        return getRuler(Orientation.valueOf(orientation.toUpperCase()));
    }

    public static Window getWindow() {
        Window window = new Window();
//        ssWindow.setTitle(TITLE);
        window.setMaximized(true);
        return window;
    }

//    public static SSWindow getSSWindow(ImageView imageView) {
//        SSWindow ssWindow = new SSWindow(imageView);
////        ssWindow.setTitle(TITLE);
//        ssWindow.setMaximized(true);
//        return ssWindow;
//    }

//    public static SSCorner getSSBorder() {
//        return getSSBorder(new Color(0, 0, 0, 255));
//    }

//    public static SSCorner getSSBorder(Color color) {
//        return getSSBorder(color, color, color, color, TableType.MAIN);
//    }

    //    public static SSCorner getSSBorder(
//            Color colorTop, Color colorRight, Color colorBottom, Color colorLeft, TableType tableType) {
//    	SSCorner ssBorder = new SSCorner();
//    SSTablePane.SSCornerHeader ssBorder = new SSTablePane.SSCornerHeader();
//        ssBorder.getStyles().put("padding", 0);
//        ssBorder.getStyles().put("thickness", 1);
//        ssBorder.getStyles().put("ColorTop", colorTop);
//        ssBorder.getStyles().put("ColorRight", colorRight);
//        ssBorder.getStyles().put("ColorBottom", colorBottom);
//        ssBorder.getStyles().put("ColorLeft", colorLeft);
//        ssBorder.getStyles().put("backgroundColor", BORDER_BACKGROUND_COLOR);
//        ssBorder.setAttribute(Attribute.TABLE, tableType);
//        return ssBorder;
//    }

//    public static SSTablePane getSSTablePane() {
//        SSTablePane ssTablePane = new SSTablePane();
//
//        return ssTablePane;
//    }

//    public static SSColumn getSSColumn(int width) {
//        SSColumn ssColumn = new SSTablePane.SSColumn();
//        ssColumn.setWidth(width);
//        return ssColumn;
//    }

//    public static SSRow getSSRow() {
//        SSTablePane.SSRow ssRow = new SSTablePane.SSRow();
//        ssRow.setHeight(ROW_HEIGHT);
//        return ssRow;
//    }

    public static SSRow getSSRowV(int row) {
        SSRow ssRowV = new SSTablePane.SSRow();
//        SSCorner ssBorderV = SpreadSheetTool.getSSBorder(
//                BASE_HEADER_BACKGROUND_COLOR,
//                VERTICAL_BORDER_COLOR,
//                BASE_HEADER_BACKGROUND_COLOR,
//                BASE_HEADER_BACKGROUND_COLOR,
//                TableType.HEADER_ROW);
//        Label labelV = SpreadSheetTool.getLabel(row);
//        labelV.getStyles().put("backgroundColor", ROW_HEADER_BACKGROUND_COLOR);
//        ssBorderV.setContent(labelV);
//        ssRowV.add(ssBorderV);
//        ssRowV.setHeight(ROW_HEIGHT);
        return ssRowV;

    }

    public static Label getLabel(int colName) {
        return getLabel(String.valueOf(colName));
    }

    public static Label getLabel(String colName) {
        Label label = new Label();
        label.setText(colName);
//        label.getStyles().put("font", new Font(LABEL_FONT, Font.PLAIN, LABEL_FONT_SIZE));
        label.getStyles().put("color", Color.DARK_GRAY);
        label.getStyles().put("horizontalAlignment",
        HorizontalAlignment.CENTER);
        label.getStyles().put("verticalAlignment",
        VerticalAlignment.CENTER);
        return label;
    }

//	public static Rectangle getRectangle(
//			int x, int y, int width, int height,
//			Color fill, Color stroke, int strokeThickness){
//		Rectangle rectangle = new Rectangle();
//		rectangle.setSize(width, height);
//	    rectangle.setFill(fill);
//	    rectangle.setStrokeThickness(strokeThickness);
//	    rectangle.setStroke(stroke);
//	    rectangle.setOrigin(x, y);
//	    return rectangle;
//	}
//
//	public static Rectangle getRectangle(
//			Bounds bounds,
//			Color fill, Color stroke, int strokeThickness){
//		return getRectangle(
//				bounds.x, bounds.y, bounds.width, bounds.height,
//				fill, stroke, strokeThickness);
//	}

    /**
     * convert A=>1, B=>2, ... , Z=>26, AA=>27, ..., ZZ=>702
     *
     * @param alpha
     * @return
     */
    public static int fromAlphabet2Number(String alpha) {
        int num = 0;
        for (int i = 0, len = alpha.length(); i < len; i++) {
            num += 25 * (len - i - 1) * (alpha.charAt(i) - 64) + (alpha.charAt(i) - 64);
        }
        return num;
    }

//    /**
//     * @param id
//     * @return int[0] : column number, int[1] : row number
//     */
//    public static int[] getCellNumber(String id) {
//        Pattern pattern = Pattern.compile("^([A-Z]*)([0-9]*)$");
//        Matcher matcher = pattern.matcher(id);
//        int[] cellNumber = new int[2];
//        if (matcher.find()) {
//            cellNumber[0] = fromAlphabet2Number(matcher.group(1));
//            cellNumber[1] = Integer.valueOf(matcher.group(2));
//        }
//        return cellNumber;
//    }
//
//    public static void setSelectedBorderColor(SSCorner ssCorner,
//                                              Color colorTop, Color colorRight,
//                                              Color colorBottom, Color colorLeft) {
//        ssCorner.getStyles().put("colorTop", colorTop);
//        ssCorner.getStyles().put("colorRight", colorRight);
//        ssCorner.getStyles().put("colorBottom", colorBottom);
//        ssCorner.getStyles().put("colorLeft", colorLeft);
//    }

//	public static void setCellSelectionDecorators(
//			Bounds ssTablePaneBounds, Bounds ssTextAreaBounds, SSTablePane ssTablePane, SSTextArea ssTextArea){
//		Rectangle baseSheetRectangle =
//			SpreadSheetTool.getRectangle(
//					0, 0, ssTablePaneBounds.width, ssTablePaneBounds.height,
//					TRANSPARENT_COLOR,
//					TRANSPARENT_COLOR, 0);
//
//		Rectangle selectedRectangle =
//			SpreadSheetTool.getRectangle(
//					ssTextAreaBounds,
//					SELECTED_RECTANGLE_BACKGROUND_COLOR,
//					SELECTED_RECTANGLE_BORDER_COLOR, 3);
//
//      int row = (Integer)ssTextArea.getAttribute(Attribute.ROW);
//      int col = (Integer)ssTextArea.getAttribute(Attribute.COL);
//      log.debug("row:{}, col:{}", row, col);
//
//      Label rowHeaderLabel = (Label)ssTablePane.getCellComponent(row, 0);
//      Bounds rowHeaderBounds = rowHeaderLabel.getBounds();
//		Rectangle rowHeaderRectangle =
//			SpreadSheetTool.getRectangle(
//					rowHeaderBounds,
//					SELECTED_RECTANGLE_HEADER_BACKGROUND_COLOR,
//					TRANSPARENT_COLOR, 0);
//
//      Label colHeaderLabel = (Label)ssTablePane.getCellComponent(0, col);
//      Bounds colHeaderBounds = colHeaderLabel.getBounds();
//		Rectangle colHeaderRectangle =
//			SpreadSheetTool.getRectangle(
//					colHeaderBounds,
//					SELECTED_RECTANGLE_HEADER_BACKGROUND_COLOR,
//					TRANSPARENT_COLOR, 0);
//
//		Drawing drawing = new Drawing();
//      drawing.getCanvas().add(baseSheetRectangle);
//      drawing.getCanvas().add(selectedRectangle);
//      drawing.getCanvas().add(rowHeaderRectangle);
//      drawing.getCanvas().add(colHeaderRectangle);
//
//      ImageView imageView = new ImageView(drawing);
//		OverlayDecorator overlayDecorator = new OverlayDecorator();
//		overlayDecorator.setOverlay(imageView);
//
//		ssTablePane.getDecorators().removeAll();
//		ssTablePane.getDecorators().add(overlayDecorator);
//	}

}
