/*
 * Copyright (C) 2010-2011 Toshiyuki Kitani
 *
 *  Pegasus is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Pegasus is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */

package jp.pegasus.pivot.skin;

import jp.pegasus.log.Logger;
import org.apache.pivot.collections.Sequence;
import org.apache.pivot.wtk.*;
import org.apache.pivot.wtk.Component;
import org.apache.pivot.wtk.Insets;
import org.apache.pivot.wtk.skin.TablePaneSkin;

import java.awt.*;

public class SSTablePaneSkin extends TablePaneSkin {

    public SSTablePaneSkin() {
        super();
    }

    @Override
    public void install(Component component) {
        super.install(component);
    }

    @Override
    public int getPreferredWidth(int height) {
        return super.getPreferredWidth(height);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public int getPreferredHeight(int width) {
        return super.getPreferredHeight(width);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public Dimensions getPreferredSize() {
        return super.getPreferredSize();    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public int getBaseline(int width, int height) {
        return super.getBaseline(width, height);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void layout() {
        super.layout();    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void paint(Graphics2D graphics) {
        super.paint(graphics);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public Insets getPadding() {
        return super.getPadding();    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void setPadding(Insets padding) {
        super.setPadding(padding);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public int getHorizontalSpacing() {
        return super.getHorizontalSpacing();    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void setHorizontalSpacing(int horizontalSpacing) {
        super.setHorizontalSpacing(horizontalSpacing);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public int getVerticalSpacing() {
        return super.getVerticalSpacing();    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void setVerticalSpacing(int verticalSpacing) {
        super.setVerticalSpacing(verticalSpacing);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public boolean getShowHorizontalGridLines() {
        return super.getShowHorizontalGridLines();    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void setShowHorizontalGridLines(boolean showHorizontalGridLines) {
        super.setShowHorizontalGridLines(showHorizontalGridLines);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public boolean getShowVerticalGridLines() {
        return super.getShowVerticalGridLines();    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void setShowVerticalGridLines(boolean showVerticalGridLines) {
        super.setShowVerticalGridLines(showVerticalGridLines);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public Color getHorizontalGridColor() {
        return super.getHorizontalGridColor();    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void setHorizontalGridColor(Color horizontalGridColor) {
        super.setHorizontalGridColor(horizontalGridColor);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public Color getVerticalGridColor() {
        return super.getVerticalGridColor();    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void setVerticalGridColor(Color verticalGridColor) {
        super.setVerticalGridColor(verticalGridColor);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public Color getHighlightBackgroundColor() {
        return super.getHighlightBackgroundColor();    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void setHighlightBackgroundColor(Color highlightBackgroundColor) {
        super.setHighlightBackgroundColor(highlightBackgroundColor);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public int getRowAt(int y) {
        return super.getRowAt(y);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public Bounds getRowBounds(int row) {
        return super.getRowBounds(row);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public int getColumnAt(int x) {
        return super.getColumnAt(x);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public Bounds getColumnBounds(int column) {
        return super.getColumnBounds(column);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void rowInserted(TablePane tablePane, int index) {
        super.rowInserted(tablePane, index);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void rowsRemoved(TablePane tablePane, int index, Sequence<TablePane.Row> rows) {
        super.rowsRemoved(tablePane, index, rows);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void rowHeightChanged(TablePane.Row row, int previousHeight, boolean previousRelative) {
        super.rowHeightChanged(row, previousHeight, previousRelative);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void rowHighlightedChanged(TablePane.Row row) {
        super.rowHighlightedChanged(row);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void columnInserted(TablePane tablePane, int index) {
        super.columnInserted(tablePane, index);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void columnsRemoved(TablePane tablePane, int index, Sequence<TablePane.Column> columns) {
        super.columnsRemoved(tablePane, index, columns);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void columnWidthChanged(TablePane.Column column, int previousWidth, boolean previousRelative) {
        super.columnWidthChanged(column, previousWidth, previousRelative);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void columnHighlightedChanged(TablePane.Column column) {
        super.columnHighlightedChanged(column);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void cellInserted(TablePane.Row row, int column) {
        super.cellInserted(row, column);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void cellsRemoved(TablePane.Row row, int column, Sequence<Component> removed) {
        super.cellsRemoved(row, column, removed);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void cellUpdated(TablePane.Row row, int column, Component previousComponent) {
        super.cellUpdated(row, column, previousComponent);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void rowSpanChanged(TablePane tablePane, Component component, int previousRowSpan) {
        super.rowSpanChanged(tablePane, component, previousRowSpan);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void columnSpanChanged(TablePane tablePane, Component component, int previousColumnSpan) {
        super.columnSpanChanged(tablePane, component, previousColumnSpan);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public boolean keyTyped(Component component, char character) {
        Logger.log.info("character: {}", character);
        return super.keyTyped(component, character);
    }

    @Override
    public boolean keyPressed(Component component, int keyCode, Keyboard.KeyLocation keyLocation) {
        Logger.log.info("keyCode: {}", keyCode);
        return super.keyPressed(component, keyCode, keyLocation);
    }

    @Override
    public boolean keyReleased(Component component, int keyCode, Keyboard.KeyLocation keyLocation) {
        Logger.log.info("keyCode: {}", keyCode);
        return super.keyReleased(component, keyCode, keyLocation);
    }
}
